Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 DMA Access Driver (IxDmaAcc) API The public API for the IXP425 IxDmaAcc component. More...
## Defines
#define | IX_DMA_REQUEST_FULL
| DMA request queue is full This constant is a return value used to tell the user that the IxDmaAcc queue is full.
## Typedefs
typedef UINT32 | IxDmaAccRequestId
| DMA Request Id type.
typedef void(* | IxDmaAccDmaCompleteCallback )(IxDmaReturnStatus status)
| DMA completion notification This function is called to notify a client that the DMA has been completed.
## Functions
PUBLIC IX_STATUS | ixDmaAccInit (IxNpeDlNpeId npeId)
| Initialise the DMA Access component This function will initialise the DMA Access component internals.
PUBLIC IxDmaReturnStatus | ixDmaAccDmaTransfer (IxDmaAccDmaCompleteCallback callback, UINT32 SourceAddr, UINT32 DestinationAddr, UINT16 TransferLength, IxDmaTransferMode TransferMode, IxDmaAddressingMode AddressingMode, IxDmaTransferWidth TransferWidth)
| Perform DMA transfer This function will perform DMA transfer between devices within the IXP425 memory map.
PUBLIC IX_STATUS | ixDmaAccShow (void)
| Display some component information for debug purposes Show some internal operation information relating to the DMA service. At a minimum the following will show. -the number of the DMA pend (in queue).
## Detailed Description The public API for the IXP425 IxDmaAcc component. ## Define Documentation
#define IX_DMA_REQUEST_FULL
| DMA request queue is full This constant is a return value used to tell the user that the IxDmaAcc queue is full. Definition at line 179 of file IxDmaAcc.h.
## Typedef Documentation
typedef void(* IxDmaAccDmaCompleteCallback)(IxDmaReturnStatus status)
  | DMA completion notification This function is called to notify a client that the DMA has been completed. Parameters:
  IxDmaReturnStatus | Status reporting to client
Definition at line 188 of file IxDmaAcc.h.
typedef UINT32 IxDmaAccRequestId
| DMA Request Id type. Definition at line 169 of file IxDmaAcc.h.
## Function Documentation
ixDmaAccDmaTransfer | ( | IxDmaAccDmaCompleteCallback | callback,
|  | UINT32 | SourceAddr,
|  | UINT32 | DestinationAddr,
|  | UINT16 | TransferLength,
|  | IxDmaTransferMode | TransferMode,
|  | IxDmaAddressingMode | AddressingMode,
|  | IxDmaTransferWidth | TransferWidth
| ) |
  | Perform DMA transfer This function will perform DMA transfer between devices within the IXP425 memory map. Note: The following are restrictions for IxDmaAccDmaTransfer: The function is non re-entrant. The function assumes host devices are operating in big-endian mode. Fixed address does not suport burst transfer width Fixed source address to fixed destinatiom address mode is not suported The incrementing source address for expansion bus will not support a burst transfer width and copy and clear mode Parameters:
  IxDmaAccDmaCompleteCallback |
  callback | function pointer to be stored and called when the DMA transfer is completed. This cannot be NULL.
  ixDmaSourceAddr | Starting address of DMA source. Must be a valid IXP425 memory map address.
  ixDmaDestinationAddr | Starting address of DMA destination. Must be a valid IXP425 memory map address.
  ixDmaTransferLength | The size of DMA data transfer. The range must be from 1-64Kbyte
  ixDmaTransferMode | The DMA transfer mode
  ixDmaAddressingMode | The DMA addressing mode
  ixTransferWidth | The DMA transfer width
Returns: IX_DMA_SUCCESS Notification that the DMA request is succesful IX_DMA_FAIL IxDmaAcc not yet initialised or some internal error has occured IX_DMA_INVALID_TRANSFER_WIDTH Transfer width is nit valid IX_DMA_INVALID_TRANSFER_LENGTH Transfer length outside of valid range IX_DMA_INVALID_TRANSFER_MODE Transfer Mode not valid IX_DMA_REQUEST_FIFO_FULL IxDmaAcc request queue is full
ixDmaAccInit | ( | IxNpeDlNpeId | npeId | ) |
  | Initialise the DMA Access component This function will initialise the DMA Access component internals. Parameters:
  npeId | - NPE to use for Dma Transfer
Returns: IX_SUCCESS succesfully initialised the component IX_FAIL Initialisation failed for some unspecified internal reason.
ixDmaAccShow | ( | void |  | ) |
  | Display some component information for debug purposes Show some internal operation information relating to the DMA service. At a minimum the following will show. -the number of the DMA pend (in queue). Parameters:
  None |
Returns: None
Automatically generated from sources. © Intel Corp. 2003